java.lang

## Class NullPointerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.NullPointerException

All Implemented Interfaces:
  Serializable

    public class NullPointerException
    extends RuntimeException

Thrown when an application attempts to use `null` in a case where an object is required. These include:

- Calling the instance method of a `null` object.
- Accessing or modifying the field of a `null` object.
- Taking the length of `null` as if it were an array.
- Accessing or modifying the slots of `null` as if it were an array.
- Throwing `null` as if it were a `Throwable` value.

Applications should throw instances of this class to indicate other illegal uses of the `null` object.

Since:
  JDK1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NullPointerException()` Constructs a `NullPointerException` with no detail message.
`NullPointerException(String s)` Constructs a `NullPointerException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NullPointerException

    public NullPointerException()

Constructs a `NullPointerException` with no detail message.

#### NullPointerException

    public NullPointerException(String s)

Constructs a `NullPointerException` with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.